<?php

  $fast_food_delivery_theme_custom_setting_css = '';

	// Global Color
	$fast_food_delivery_theme_color = get_theme_mod('fast_food_delivery_theme_color', '#F3CB00');

	$fast_food_delivery_theme_custom_setting_css .=':root {';
		$fast_food_delivery_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($fast_food_delivery_theme_color ).'!important;';
	$fast_food_delivery_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$fast_food_delivery_scroll_alignment = get_theme_mod('fast_food_delivery_scroll_alignment', 'right');

    if($fast_food_delivery_scroll_alignment == 'right'){
        $fast_food_delivery_theme_custom_setting_css .='.scroll-up{';
            $fast_food_delivery_theme_custom_setting_css .='right: 30px;!important;';
			$fast_food_delivery_theme_custom_setting_css .='left: auto;!important;';
        $fast_food_delivery_theme_custom_setting_css .='}';
    }else if($fast_food_delivery_scroll_alignment == 'center'){
        $fast_food_delivery_theme_custom_setting_css .='.scroll-up{';
            $fast_food_delivery_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $fast_food_delivery_theme_custom_setting_css .='}';
    }else if($fast_food_delivery_scroll_alignment == 'left'){
        $fast_food_delivery_theme_custom_setting_css .='.scroll-up{';
            $fast_food_delivery_theme_custom_setting_css .='left: 30px;!important;';
			$fast_food_delivery_theme_custom_setting_css .='right: auto;!important;';
        $fast_food_delivery_theme_custom_setting_css .='}';
    }	

	// Related Product

	$fast_food_delivery_show_related_product = get_theme_mod('fast_food_delivery_show_related_product', true );

	if($fast_food_delivery_show_related_product != true){
		$fast_food_delivery_theme_custom_setting_css .='.related.products{';
			$fast_food_delivery_theme_custom_setting_css .='display: none;';
		$fast_food_delivery_theme_custom_setting_css .='}';
	}
	
	// Featured Image Hover Effect
    $fast_food_delivery_show_featured = get_theme_mod('fast_food_delivery_featured_image_hide_show', 1);
    $fast_food_delivery_hover_effect = get_theme_mod('fast_food_delivery_single_post_featured_image_hover','none');

    if ( $fast_food_delivery_show_featured && $fast_food_delivery_hover_effect !== 'none' ) {

    $fast_food_delivery_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $fast_food_delivery_hover_effect === 'zoom-in' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $fast_food_delivery_hover_effect === 'zoom-out' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $fast_food_delivery_hover_effect === 'grayscale' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $fast_food_delivery_hover_effect === 'sepia' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $fast_food_delivery_hover_effect === 'blur' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $fast_food_delivery_hover_effect === 'bright' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $fast_food_delivery_hover_effect === 'translate' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $fast_food_delivery_hover_effect === 'scale' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $fast_food_delivery_show_featured = get_theme_mod('fast_food_delivery_featured_image_hide_show', 1);
    $fast_food_delivery_hover_effect = get_theme_mod('fast_food_delivery_product_featured_image_hover','none');

    if ( $fast_food_delivery_show_featured && $fast_food_delivery_hover_effect !== 'none' ) {

    $fast_food_delivery_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $fast_food_delivery_hover_effect === 'zoom-in' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $fast_food_delivery_hover_effect === 'zoom-out' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $fast_food_delivery_hover_effect === 'grayscale' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $fast_food_delivery_hover_effect === 'sepia' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $fast_food_delivery_hover_effect === 'blur' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $fast_food_delivery_hover_effect === 'bright' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $fast_food_delivery_hover_effect === 'translate' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $fast_food_delivery_hover_effect === 'scale' ) {
        $fast_food_delivery_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   